<template>
     <form @submit.prevent="validateBeforeSubmit(editMode)" class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed">
        <div class="m-portlet__body">
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('sub_item.main_item')}}</label>
                <div class="col-lg-6">
                    <v-select name="main_item" label="main_item_name_dr" v-validate="'required'"  dir="rtl" :options="main_data" v-model='s_fields.main_item'>
                    </v-select>
                    <span v-if="s_errors && s_errors.main_item_id" class="m-form__help text-danger">{{s_errors.main_item_id[0]}}</span>
                    <span v-else class="m-form__help">{{$t('sub_item.mi_note')}}</span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('sub_item.name_dr')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="sub_item_name_dr" v-model="s_fields.sub_item_name_dr" :placeholder="$t('sub_item.pl_holder')">
                    <span v-if="s_errors && s_errors.sub_item_name_dr"  class="m-form__help text-danger">{{s_errors.sub_item_name_dr[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('sub_item_name_dr')}" >{{errors.has('sub_item_name_dr') ? errors.first('sub_item_name_dr'): $t("sub_item.si_note") }} </span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('sub_item.name_pa')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="sub_item_name_pa" v-model="s_fields.sub_item_name_pa" :placeholder="$t('sub_item.pl_holder')">
                    <span v-if="s_errors && s_errors.sub_item_name_pa" class="m-form__help text-danger">{{s_errors.sub_item_name_pa[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('sub_item_name_pa')}" >{{errors.has('sub_item_name_pa') ? errors.first('sub_item_name_pa'): $t("sub_item.si_note") }} </span>
                </div>
            </div>

            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('sub_item.name_en')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="sub_item_name_en" v-model="s_fields.sub_item_name_en" :placeholder="$t('sub_item.pl_holder')">
                    <span v-if="s_errors && s_errors.sub_item_name_en" class="m-form__help text-danger">{{s_errors.sub_item_name_en[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('sub_item_name_en')}" >{{errors.has('sub_item_name_en') ? errors.first('sub_item_name_en'): $t("sub_item.si_note") }} </span>
                </div>
            </div>

        </div>
        <div class="m-portlet__foot m-portlet__no-border m-portlet__foot--fit">
            <div class="m-form__actions m-form__actions--solid">
                <div class="row">
                    <div class="col-lg-2"></div>
                    <div class="col-lg-6">
                        <button type="submit" class="btn btn-brand">{{this.$route.meta.btn_label}}</button>
                        <router-link to="/sub_item" class="btn btn-secondary">{{$t('global.cancel')}}</router-link>
                    </div>
                </div>
            </div>
        </div>
    </form>
</template>

<script>
    import SubmitForm from '../../router/SubmitForm.js';
    export default {
        name: 'MainItemForm',
        mixins: [SubmitForm],
        data(){
            return {
                'url': 'api/sub_item',
                'editMode': this.$route.meta.editMode,
                s_fields: {
                  main_item: ['یگ گزینه را انتخاب کنید.'],
                },
            }
        },
        created()
        {
            this.$root.$on('get-data-for-edit', () => {
              this.getDataForEdit();
              this.$root.$off('get-data-for-edit');
            })
              //Listen to the event and call function
              this.$root.$on('get-main-item', () => {
              this.params.table_name = 'main_items';
              this.params.condition  = {status: 1};
              this.getPublicData('api/get_public_data');
              this.$root.$off('get-main-item');
            })
        }
    }
</script>
